#include <stdlib.h>
#include <stdio.h>

#include "dot.h"

int main( int argc, char** argv)
{

   /*****************************************
    * Allocation
    *****************************************/
   float *x = (float*) malloc(sizeof(float) * 4 ) ;
   float *y = (float*) malloc(sizeof(float) * 4 ) ;

   /*****************************************
    * Initialization
    *****************************************/
   for(int i=0;i < 4; ++i){
      x[i] = ((float)rand())/RAND_MAX;
      y[i] = ((float)rand())/RAND_MAX;
   }

   /*****************************************
    * Timing 
    *****************************************/
   float result = dot4(x, y);

   //print result to avoid optimization
   printf("result: %f\n",result);
   

   /*****************************************
    * Free Memory 
    *****************************************/
   free(x); free(y);

   return 0;
}
